Page MenuHomePhabricator

Newcomer Tasks: Make the V1.0 difficulty filter full-width button on the Suggested edits module
Closed, ResolvedPublic

Description

Problem:
For V1.0 there is only one filter for task difficulty in the Suggested edits module. Currently the filter is shown as a centered button which is unexpected for a filter element:
Desktop

Proposed solution:
Make the filter button full width inside the Suggested edits module. It should read read "Easy, Medium edits" as opposed to "Easy, Medium tasks" as shown in the mockup.

Desktop
Mobile

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterSuggestedEdits: Make filter button say "Easy, Medium edits"
mediawiki/extensions/GrowthExperiments : masterSuggestedEdits: Make filter button say "Easy, Medium difficulty"
mediawiki/extensions/GrowthExperiments : masterSuggestedEdits: Make the filter button full width

Event Timeline

RHo created this task.Oct 29 2019, 8:24 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptOct 29 2019, 8:24 PM
RHo updated the task description. (Show Details)

Change 547062 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] SuggestedEdits: Make the filter button full width

https://gerrit.wikimedia.org/r/547062

Change 547063 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Make filter button say "Easy, Medium difficulty"

https://gerrit.wikimedia.org/r/547063

Catrope claimed this task.Oct 30 2019, 2:03 AM

I couldn't find another task offhand for changing the label of the filter button to "Easy, Medium difficulty" instead of just "Easy, Medium", so I linked the patch for that to this task. Let me know if you'd like it to be linked to a different task instead.

I've merged both patches. It looks a little strange IMO when it's at the default difficulty level ("Easy difficulty").

Since the filter buttons look better when there are two of them, and the goal of 1.0 is to understand how people interact with the module, one idea would be to consider adding the "Topics" button which, when clicked, shows a message saying it's not yet available. We would then have some data on how many people are interested in topic matching before the actual topic matching feature goes live, and could make changes if necessary to the design to encourage more interactions with that filter.

I've merged both patches. It looks a little strange IMO when it's at the default difficulty level ("Easy difficulty").
Since the filter buttons look better when there are two of them, and the goal of 1.0 is to understand how people interact with the module, one idea would be to consider adding the "Topics" button which, when clicked, shows a message saying it's not yet available. We would then have some data on how many people are interested in topic matching before the actual topic matching feature goes live, and could make changes if necessary to the design to encourage more interactions with that filter.

that's a great idea @kostajh! And it would save having to change the UI from one full width filter like this which I agree looks a bit weird. @MMiller_WMF how does that sound to you?

Change 547063 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] SuggestedEdits: Make filter button say "Easy, Medium difficulty"

https://gerrit.wikimedia.org/r/547063

Change 547062 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] SuggestedEdits: Make the filter button full width

https://gerrit.wikimedia.org/r/547062

I've merged both patches. It looks a little strange IMO when it's at the default difficulty level ("Easy difficulty").

Yes, indeed. Not only for "Easy difficulty" - "Hard difficulty" looks odd too. Maybe just "tasks" would be better? "Easy tasks", "Hard tasks". And on the difficulty overlay it can "Easy task types" (though it's does not sound too great)?

for @RHo review

DesktopMobile

Some issues with vertical positioning:

Suggested edit moduleDifficulty overlay

@kostajh @RHo -- I thought about this a lot today. Thanks for suggesting it, @kostajh -- I think it's good to look out for those sorts of shortcuts and learning opportunities. But I don't think we should do it. Here's why:

  • I think it's possible that many users, upon initiating the module, will click that filter button first, because it will say something like "Select interests". Then when they get the "Not available yet" message, I think that may cause many of them to think "okay, so the tasks presented currently are irrelevant" and then leave the module, thus inhibiting our understanding of how the users interact with the suggested tasks. In other words, we may be hinting to the user that they won't like what we're showing them, instead of letting them experience the suggestions organically.
  • After adding topic matching, I would prefer to see the clear before-and-after numbers on "percent clicking a suggestion", without the caveat around the "Not available yet" filter.
  • The designs for topic matching have the user start with an overlay in which the select their topics, and so we don't expect most users to actually see a filter saying "Select interests"; we expect their interests to already be there at that point. So it wouldn't really be an apples-to-apples comparison.

So, @RHo, I do think you should come up with a design that looks more natural for having one filter, and we should implement that for V1.0.

Jdlrobson moved this task from Needs triage to Growth on the Mobile board.Oct 31 2019, 11:04 PM
RHo updated the task description. (Show Details)Nov 1 2019, 9:50 AM
RHo updated the task description. (Show Details)
RHo added a comment.Nov 1 2019, 9:59 AM

@MMiller_WMF @kostajh - I've updated the desktop mock to make it a text center-aligned button since that makes it slightly more natural, but also fine to leave as it with left aligned full-width for now.

Mocks are also updated to reflect @Etonkovidova's suggestion for the label to be "Easy tasks" rather than "Easy difficulty" etc, but @MMiller_WMF
please note on the task if there's another label you prefer.

@RHo -- since we don't use the word "tasks" anywhere in the copy so far, I'm changing the description to say "Easy edits".

MMiller_WMF updated the task description. (Show Details)Nov 1 2019, 4:57 PM

Change 548530 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] SuggestedEdits: Make filter button say "Easy, Medium edits"

https://gerrit.wikimedia.org/r/548530

Change 548530 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] SuggestedEdits: Make filter button say "Easy, Medium edits"

https://gerrit.wikimedia.org/r/548530

For Design review

(1) Different difficulty levels are selected(2) one level is selected(3) the card with some text excerpt and pageviews info

Note: Some alignment issues were reported in T236854: [mobile] Newcomer tasks - UI issues with Suggested edits module and Difficulty overlay

For Design review

(1) Different difficulty levels are selected(2) one level is selected(3) the card with some text excerpt and pageviews info

Thanks @Etonkovidova. Hi @Catrope or @kostajh - firstly can the button in v1 of the Desktop module be made center-aligned as per the latest mock after discussion in the comments?

Secondly, can the following style updates be made to the mobile version to match the design:

  • The filter is not a button, but a full-width toolbar flush under the "Suggested edits" header
  • There is a dropdown arrow in the RHS of the toolbar

Moving back to ready for dev for the mobile changes Rita asked for.

@RHo wrote:

  • The filter is not a button, but a full-width toolbar flush under the "Suggested edits" header
  • There is a dropdown arrow in the RHS of the toolbar

Here are the details on that:

Zeplin mockup: https://app.zeplin.io/project/5bd0b069495b5d0a002e7eb6/screen/5d9fa0b980829f083440110c

On desktop, the label is "Easy, Medium edits" but on mobile it should apparently just be "Easy, Medium"

MMiller_WMF closed this task as Resolved.Sat, Nov 16, 12:20 AM

I am closing this task in favor of T238460: Newcomer tasks: difficulty filter styling issues on mobile, so that the remaining work is in the task description, not the comments of some other task.